% search direction for nonmonotone line search deltaw.  Called by Jacob.m at nonmonotone line search.
 
 deltaw = [0;0];  % ensure column vector.

 if cond(J) > cndlimit  % regularization
   H = J'*J;
   H = H + mu*norm(H,1)*eye(jlast);
   deltaw = H \ (J'*F);
   endpsiv = 1;  % counter, <= number of previous function value to be backtracked
 else
   deltaw = J\F;
   endpsiv = endpsiv + 1;
 end

   if k <= fstamnb  % initial several iterations still use Armijo line search.
      endpsiv = 1;
   end

   t = mod(endpsiv, maxc); % current position of vector Psiv to be updated.
   if t == 0
     t = maxc;
   end
   Psiv(t) = Psi;  % Store the function values may be used to backtrack.
