% sample input for data.m

%clear

% The below are initial values for some variables, user can edit this part to get desired problem type.

blck = 10;                  % number of blocks.
Tp = ['b','o','i','b','b', 'i', 'o', 'o', 'b','b'];     % types of each primal block: i(interior), b(boundary), or o(zero).
Td = ['b','i','o','b','b', 'o', 'i', 'b', 'b','b'];     % types of each block: i, b, or o.
N = [10,  10,  10,  10, 10, 10, 10, 10, 10, 10];  % length of each block.
Scalex = [1,1,1,1,1,1,1,1,1, 1];    % x(0) scale of each block.
Scales = [1,1,1,1,1,1,1 ,1, 1, 1];    % s(0).
m = 33;                     % number of constraints.
Scaley = 1;                % scale of y {y = Scaley* (rand(m, 1)-0.5*ones(m,1))}
ScaleA = 1;               % scale of A {A = ScaleA*(rand(m, p)-0.5*ones(m, p))}
linesch = 'n';  % line search method: 'a': Armijo; 'w' Wolfe; 'n': nonmonotone.

% Call data.m to generate problem data.
data
